Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 111774 - src_test() for sqlite always fails
Summary: src_test() for sqlite always fails
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: Current packages (show other bugs)
Hardware: All Linux
: High normal (vote)
Assignee: Anders Rune Jensen (RETIRED)
URL:
Whiteboard:
Keywords:
Depends on:
Blocks:
 
Reported: 2005-11-07 05:01 UTC by Seemant Kulleen (RETIRED)
Modified: 2006-02-05 14:05 UTC (History)
0 users

See Also:
Package list:
Runtime testing required: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Seemant Kulleen (RETIRED) gentoo-dev 2005-11-07 05:01:12 UTC
diff -u -B -r1.1 sqlite-3.2.7-r1.ebuild
--- sqlite-3.2.7-r1.ebuild      6 Nov 2005 17:38:28 -0000       1.1
+++ sqlite-3.2.7-r1.ebuild      7 Nov 2005 13:00:22 -0000
@@ -43,13 +43,12 @@
        fi
 }
 
-# In case we ever want testing support; note: this needs more work, as
-#   as it causes some sandbox issues.
-#   - 20041203, Armando Di Cianno <fafhrd@gentoo.org>
-#src_test() {
-#      cd ${S}
-#      emake fulltest || die "some test failed"
-#}
+src_test() {
+       if use doc; then
+               cd ${S}
+               emake fulltest || die "some test failed"
+       fi
+}
 
 src_install () {
        make DESTDIR="${D}" install || die
Comment 1 Anders Rune Jensen (RETIRED) gentoo-dev 2006-02-05 14:05:26 UTC
Fixed in 2.8.16-r3 and 3.3.3-r1.